É necessário possuir Krater no Steam para usar este conteúdo.

Data de lançamento: 23/out/2012
Marcadores populares para este produto:

Inicie a sessão para adicionar este jogo à sua lista de desejos ou marcar como não interessado

Conteúdo adicional

É necessário possuir Krater no Steam para usar este conteúdo.

Comprar Krater - Mayhem Mk13 Character

 

Sobre este conteúdo

Mayhem Mk13, the pinnacle of aggressive assault technologies formed from the knowledge extracts of a Mutant Slayer’s brain and the latest cybernetic limbs collected from the Underside. The Mayhem Mk13 will be your tank’s best friend close up and your medikus’ saviour from afar. Dare to delve deeper on high-risk excavation ventures where the Mayhem Mk13′s tactical flexibility will be the difference between life and death.

More on the Mk13:

The first of many planned cybernetic characters, the Mayhem Mk13 offers a new and exciting add-on for your team. It is a Hybrid melee assassin/ranged DPS class that combines high damage output in both close quarters and from a distance. He is also well suited for co-op since his guided strike ability is able to take out very powerful enemies entangled by other characters abilities.

Requisitos de sistema

    Minimum:

    • OS:Windows Vista / Windows 7
    • Processor:Dual Core 2.4GHz processor
    • Memory:2 GB RAM
    • Graphics:Shader 4.0 compatible card (minimum: Nvidia GeForce 8xxx, AMD Radeon 2xxx)
    • DirectX®:10
    • Hard Drive:5 GB HD space
    • Sound:DirectX compatible sound card
    • Additional:Krater requires DirectX 10, a DirectX 10 compatible video card, and Windows Vista or Windows 7. There is no support for Windows XP or DirectX 9.

    Recommended:

    • OS:Windows 7 (64 bit)
    • Processor:Quad-core Intel or AMD CPU
    • Memory:4 GB RAM
    • Graphics:DirectX 11 compatible Nvidia or AMD ATI card, ATI Radeon HD6870 or higher, Nvidia GeForce GTX 460 or higher. Graphics card memory: 1 GB
    • Hard Drive:5 MB HD space
    • Other Requirements:Broadband Internet connection
    • Additional:Krater requires DirectX 10, a DirectX 10 compatible video card, and Windows Vista or Windows 7. There is no support for Windows XP or DirectX 9.
Ainda não há análises públicas deste produto
Você pode escrever a sua análise deste produto para compartilhar a sua experiência com a comunidade. Use a área acima dos botões de compra nesta página para escrevê-la.